List a workspace's views
Authorization
BearerAuth AuthorizationBearer <token>
API authentication via Authorization: Bearer <your-api-key>. Obtain
your API key from Config → API in the Aplas web app.
In: header
Path Parameters
workspaceId*string
The workspace's slug.
Query Parameters
limit?integer
Maximum number of resources to return in one page.
Default
50Range
1 <= value <= 200cursor?string
Opaque cursor from a previous response's nextCursor. Omit to fetch the first page.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.au.aplas.com/api/v3/workspaces/string/views"{
"nextCursor": "string",
"data": [
{
"id": "string",
"name": "string",
"description": "string",
"viewType": "string",
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
]
}{
"statusCode": 403,
"error": "Forbidden",
"message": "The permissions of your API key only allow read-only/GET calls."
}{
"statusCode": 403,
"error": "Forbidden",
"message": "The permissions of your API key only allow read-only/GET calls."
}{
"statusCode": 403,
"error": "Forbidden",
"message": "The permissions of your API key only allow read-only/GET calls."
}{
"statusCode": 403,
"error": "Forbidden",
"message": "The permissions of your API key only allow read-only/GET calls."
}